import { Args } from '@oclif/core';
import BaseCommand from '../../lib/baseCommand.js';
import ScriptInfoDisplayer from '../../lib/scripts/scriptInfoDisplayer.js';
export default class ScriptsInfo extends BaseCommand {
    static args = {
        "name": Args.string({ description: 'Name of the script', required: true }),
    };
    static description = 'Display information about a specific script';
    async runImpl() {
        const scriptInfoDisplayer = new ScriptInfoDisplayer(this.parsedArgs.name);
        await scriptInfoDisplayer.displayInfo();
    }
}
